AddCSLuaFile("autorun/rpg7particles.lua")

PrecacheParticleSystem("rpg7_smoke_full")
PrecacheParticleSystem("rpg7_muzzle_full")
PrecacheParticleSystem("rpg7_sparks")
PrecacheParticleSystem("rpg_explosion_full")

if SERVER then
	resource.AddFile("models/weapons/vrpg7.mdl")
	resource.AddFile("materials/models/weapons/V_RPG/AIM.vmt")
	resource.AddFile("materials/models/weapons/V_RPG/mesh4.vmt")
	resource.AddFile("materials/models/weapons/V_RPG/trijiflex.vmt")
	resource.AddFile("materials/models/weapons/V_RPG/rpg_barrel_COLOR.vmt")
	resource.AddFile("materials/models/weapons/V_RPG/rpg_rocket_COLOR.vmt")
	resource.AddFile("materials/models/weapons/V_RPG/rpg_rocket.vtf")
	resource.AddFile("materials/models/weapons/V_RPG/rpg_barrel.vtf")
	resource.AddFile("particles/rpg7_particles.pcf")
end